Bug 852908 - Remove JBoss SoS Plug-In and Augment RHEV-M SoS plug-in.
Remove JBoss SoS Plug-In and Augment RHEV-M SoS plug-in.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector (Show other bugs)
3.1.0
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Keith Robertson
Ilanit Stein
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 21:00 EDT by Keith Robertson
Modified: 2016-07-03 21:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-23 06:31:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Robertson 2012-08-29 21:00:14 EDT
Description of problem:
The new installation structure of the oVirt web applications will allow me to sunset the jboss SoS plug-in.  Yay!  I would like to augment the existing rhevm SoS plug-ing to capture the web application's config files and some new log files.

Version-Release number of selected component (if applicable):
3.1.0

How reproducible:
always

Steps to Reproduce:
1. Run the LC
  
Actual results:
Missing certain log files and conf files.

Expected results:
Need to collect following new files:
- /var/log/ovirt-guest-agent
- /usr/share/ovirt-engine/engine-config
  
  
Additional info:
Comment 1 Itamar Heim 2012-09-11 01:22:04 EDT
merged downstram:
https://gerrit.eng.lab.tlv.redhat.com/#/c/1878/
Comment 3 Keith Robertson 2012-09-28 13:46:20 EDT
Upstream: http://gerrit.ovirt.org/#/c/7779/
Comment 4 Ilanit Stein 2012-12-17 10:31:05 EST
Verified on si25.1:

[1] /tmp/logcollector/lilach-rhel-2012121717071355756831/var/log/ovirt-guest-agent
Also verified it's contents in correct.

[2] /tmp/logcollector/lilach-rhel-2012121717071355756831/etc/ovirt-engine/engine-config
[root@lilach-rhel pgsql]# ls /tmp/logcollector/lilach-rhel-2012121717071355756831/etc/ovirt-engine/engine-config
engine-config.conf  engine-config.properties  log4j.xml

Note You need to log in before you can comment on or make changes to this bug.